#!/bin/bash -e

if [[ -z "${ZENCART_PLUGIN_VERSION}" ]]; then
  ZENCART_PLUGIN_VERSION=1.0.0
fi

mkdir -p build
rm -rf build/*
rm -f zencart-gratify-BNPL-*.zip

cp -r includes build/

# update composer dependencies
./composer update
cp -r vendor/gratifypay build/includes/classes/vendors/

cp README.md build/
cp LICENSE.md build/

cd build
zip -r ../zencart-gratify-BNPL-${ZENCART_PLUGIN_VERSION}.zip *
cd ..

# clean up build
rm -rf build/*
