#! /bin/bash

# create Zen Cart verioned directories
mkdir -p /var/www/html/zc-1.5.7
mkdir -p /var/www/html/zc-1.5.8

# install ZenCart version 1.5.7
cd /tmp
wget https://sourceforge.net/projects/zencart/files/CURRENT%20-%20Zen%20Cart%201.5.x%20Series/zen-cart-v${ZENCART_VERSION}-03052021.zip/download -O /tmp/temp.zip
unzip /tmp/temp.zip
mv zen-cart-v${ZENCART_VERSION}-03052021/* /var/www/html/zc-1.5.7
cp -r /var/www/html/zc_plugins/gratify-pay-for-zencart/includes/* /var/www/html/zc-1.5.7/includes/
mv /tmp/1.5.7/custom_settings.php /var/www/html/zc-1.5.7/zc_install/includes/
sed -i "s/ZENCART_STORE_IP/$EXTERNAL_IP/g" /var/www/html/zc_install/includes/custom_settings.php
sed -i "s/ZENCART_STORE_IP/$EXTERNAL_IP/g" /tmp/1.5.7/custom_settings.php
# php /var/www/html/zc-1.5.7/zc_install/index.php cli

# install ZenCart version 1.5.8-dev
git clone https://github.com/zencart/zencart.git
mv zen-cart/* /var/www/html/zc-1.5.8/
cp -r /var/www/html/zc_plugins/gratify-pay-for-zencart/includes/* /var/www/html/zc-1.5.8/includes/
mv /tmp/1.5.8/custom_settings.php /var/www/html/zc-1.5.8/zc_install/includes/
sed -i "s/ZENCART_STORE_IP/$EXTERNAL_IP/g" /var/www/html/zc_install/includes/custom_settings.php
sed -i "s/ZENCART_STORE_IP/$EXTERNAL_IP/g" /tmp/1.5.8/custom_settings.php
# php /var/www/html/zc-1.5.8/zc_install/index.php cli

# clean up
# cd /var/www/html
# rm -rf /tmp/*