<?php

if (!defined('TABLE_GRATIFYPAY_ORDERS')) {
    define('TABLE_GRATIFYPAY_ORDERS', DB_PREFIX . 'gratifypay_orders');
}

class GratifyPayOrders
{

    public function getCustomerBasketByCustomerId($customer_id)
    {
        global $db;

        $sql = "SELECT *
                        FROM " . TABLE_CUSTOMERS_BASKET . "
                        WHERE customers_id = " . (int)$customer_id . "
                        ORDER BY customers_basket_id DESC LIMIT 1";
        $row = $db->Execute($sql);

        return $row->fields['customers_basket_id'] ?? null;
    }

    public function add($cart_id)
    {
        global $db;

        $db->Execute("insert into " . TABLE_GRATIFYPAY_ORDERS . " (id_cart) values (" . (int)$cart_id . ")");
    }

    public function updatedByCartId($cart_id, $order_id, $gratify_order_id)
    {
        global $db;

        $db->Execute(
            'update ' . TABLE_GRATIFYPAY_ORDERS
            . ' set id_order=' . (int)$order_id . ', id_gratify_order="' . zen_db_input($gratify_order_id) . '" where id_cart = ' . (int)$cart_id
        );
    }

    public function getByCartId($cart_id)
    {
        global $db;

        $row = $db->Execute(
            'select * from ' . TABLE_GRATIFYPAY_ORDERS
            . ' where id_cart = ' . (int)$cart_id
        );

        return $row->fields ?? null;
    }

    public function getByGratifyOrderId($gratify_order_id)
    {
        global $db;

        $row = $db->Execute(
            'select * from ' . TABLE_GRATIFYPAY_ORDERS
            . ' where id_gratify_order = "' . zen_db_input($gratify_order_id) . '"'
        );

        return $row->fields ?? null;
    }
}
