# GratifyPay ZenCart Module

## Description

This is a GratifyPay payment plugin for ZenCart.

## Requirements

This plugin requires the following:

- [Zen Cart](https://www.zen-cart.com/).
- A GratifyPay [Merchant Account](https://www.gratifypay.com/)

## Installation

1. Extract the content of the zip file and copy the includes folder to the includes folder under your ZenCart installation:

```
unzip zencart-gratify-BNPL-1.0.zip
cp -r zencart-gratify-BNPL-1.0/includes/* /path/to/installed/zencart/shop/includes/
```

2. Go to the admin site and navigate to Admin > Modules > Payments. Find GratifyPay module in the list:
   ![](./images/zencart1.png)
3. Enter your Merchant Id and Merchant Secret Key and save the settings
   ![](./images/zencart2.png)

4. Your ZenCart Plugin Payment Module will now be live.

## Support

### GratifyPay Support

- [Support](https://www.gratifypay.com/contact-us/)

### ZenCart Support

- [Homepage](http://www.zen-cart.com)
- [Documentation](http://www.zen-cart.com/wiki/index.php/Developers_API)
- [Support Forums](http://www.zen-cart.com/forum.php)
