<?php
/**
 * GratifyPay Redirect
 *
 * @package page
 * @copyright Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: header_php.php 3230 2006-03-20 23:21:29Z drbyte $
 */

use GratifyPay\PhpSdk\Response\ConfirmOrder;

if (!defined('TABLE_GRATIFYPAY_PAYMENT_STATUS')) {
    define('TABLE_GRATIFYPAY_PAYMENT_STATUS', 5);
}

global $db;

$order_id = $_GET['orderId'] ?? 0;
$merchant_reference = $_GET['merchantReference'] ?? 0;
$status = $_GET['status'];

/*if ($status != 0) {
    http_response_code(200);
    exit;
}*/

file_put_contents('./log.txt', print_r($_GET, true), 8);

if (!empty($order_id) && !empty($merchant_reference)) {
    $order = (new GratifyPayService())->confirmationOrder($order_id, $merchant_reference);
    file_put_contents('./log.txt', print_r($order, true), 8);

    if ($order->getOrderStatus() == ConfirmOrder::ORDER_STATUS_CREATED) {
        $gratifypay_orders = new GratifyPayOrders();

        $found = $gratifypay_orders->getByGratifyOrderId($order_id);
        file_put_contents('./log.txt', print_r($found, true), 8);

        if (empty($found)) {
            $row = $gratifypay_orders->getByCartId($merchant_reference);
            if (empty($row) && $row['id_order'] == 0) {
                $gratifypay_orders->updatedByCartId($merchant_reference, null, $order_id);
            } else {
                $gratifypay_orders->updatedByCartId($merchant_reference, $row['id_order'], $order_id);

                $sql_data_array = [
                    'orders_id' => $row['id_order'],
                    'orders_status_id' => TABLE_GRATIFYPAY_PAYMENT_STATUS,
                    'date_added' => 'now()',
                    'comments' => $order_id,
                ];

                zen_db_perform(TABLE_ORDERS_STATUS_HISTORY, $sql_data_array);

                $db->Execute("update " . TABLE_ORDERS . " set orders_status = " . TABLE_GRATIFYPAY_PAYMENT_STATUS . " where orders_id = " . $row['id_order']);
            }
        }

        http_response_code(200);
    } else {

        http_response_code(400);
    }
} else {
    http_response_code(400);
}

exit;

?>
